Bug 1023370 - ddclient rpm should use stable uids
ddclient rpm should use stable uids
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: ddclient (Show other bugs)
el5
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 05:48 EDT by Nuno Fernandes
Modified: 2017-04-06 06:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:04:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nuno Fernandes 2013-10-25 05:48:14 EDT
Description of problem:
ddclient user is created using useradd and groupadd without specifying numeric ids/gids. It should use stable and defined uids.

Version-Release number of selected component (if applicable):
ddclient-3.8.1-1.el5.noarch.rpm

How reproducible:
Allways

Steps to Reproduce:
1. In a workstation install ddclient
2. In another workstation with a different set of users also install ddclient
3. The chosen uid/gid is not the same

Actual results:
chosen uid/gid is not the same

Expected results:
They should be the same.

Additional info:
I think the solution would be to change preinstall scriptlet from:

getent group ddclient > /dev/null || /usr/sbin/groupadd -r ddclient
getent passwd ddclient > /dev/null || /usr/sbin/useradd -r -g ddclient -d /var/cache/ddclient -s /sbin/nologin -c "Dynamic DNS Client" ddclient

to 

getent group ddclient > /dev/null || /usr/sbin/groupadd -g SOMEGID -r ddclient
getent passwd ddclient > /dev/null || /usr/sbin/useradd -r -g ddclient -d /var/cache/ddclient -s /sbin/nologin -c "Dynamic DNS Client" ddclient -u SOMEID
Comment 1 Robert Scheck 2013-12-25 16:03:14 EST
AFAIK there is no concept in Fedora anymore for registering specific UIDs/GIDs
like fedora-usermgmt in previous times. Additionally the -r parameter is doing
its job IMHO.
Comment 2 Fedora End Of Life 2017-04-06 06:04:35 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.